package Stanford::FlexTest ;

use strict;
use warnings;
use autodie;

# Make this a Moose class
use Moose;
use namespace::autoclean;

use Moose::Util::TypeConstraints;
use Test::More ;

has ok_mode => (
    is       => 'rw',
    isa      => 'Bool',
    required => 1,
    default  => 0,
);

has status => (
    is       => 'rw',
    isa      => enum([-1, 0, 1]),
    required => 1,
    default  => 0,
);

has msg => (
    is       => 'rw',
    isa      => 'Str',
    required => 1,
    default  => 'no message defined',
    );


sub passed {
    my ($self) = shift ;
    if ($self->status == 1) {
	return 1 ;
    } else {
	return 0 ;
    }
}

sub failed {
    my ($self) = shift ;
    if ($self->status == 0) {
	return 1 ;
    } else {
	return 0 ;
    }
}

sub set_pass {
    my ($self) = shift ;
    $self->status(1) ;
}

sub set_fail {
    my ($self) = shift ;
    $self->status(0) ;
}

sub set_skip {
    my ($self) = shift ;
    $self->status(-1) ;
}

sub myok {
    my ($self) = shift ;
    ok($self->status, $self->msg);
}






1;
